
Ruby - Bug #13900

Segmentation fault - 2 different machines

09/15/2017 03:37 AM - marmotteNZ (pierre lonchampt)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 2.3.1p112 (2016-04-26)

[x86_64-linux-gnu]

Backport: 2.2: UNKNOWN, 2.3: UNKNOWN, 2.4:

UNKNOWN

Description

The same error appears systematically - on two different installs of Ruby 2.3.1

A/ Ubuntu 16.04 in Windows10 WSL

B/ Bodhi 4.3.1    on a virtualBOx Windows 10 host.

I followed the message at the end inviting me to report a bug.   Hope it helps

BAcktrace:

peter@peter-VirtualBox:/media/sf_Dropbox_(Sonomat)/ENG/Code/Ruby$ ruby listSpectro.rb

listSpectro.rb:35: [BUG] Segmentation fault at 0x0000000000001c

(snip)

Aborted

peter@peter-VirtualBox:/media/sf_Dropbox_(Sonomat)/ENG/Code/Ruby$

Related issues:

Is duplicate of Ruby - Bug #12670: Segmentation fault on `Magick::Image#get_p... Closed

History

#1 - 09/15/2017 04:53 AM - nobu (Nobuyoshi Nakada)

- Is duplicate of Bug #12670: Segmentation fault on `Magick::Image#get_pixels` on ruby since ruby-2.2 added

#2 - 09/15/2017 04:54 AM - nobu (Nobuyoshi Nakada)

- File bug-13900.log added

- Description updated

#3 - 09/15/2017 06:53 AM - naruse (Yui NARUSE)

- Status changed from Open to Closed

As nobu wrote, this issue is already fixed.

You can avoid this by upgrading Ruby to 2.3.5 or 2.4.2.

Files

bug-13900.log 26 KB 09/15/2017 nobu (Nobuyoshi Nakada)
